/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const keywordLibraryRouter = {
  path: '/library',
  component: Layout,
  redirect: '/library/keyword',
  alwaysShow: true, // will always show the root menu
  name: 'UserKeywordCount', // name必须和后台配置一致，不然匹配不到
  meta: { title: '关键词库' },
  children: [
    {
      path: 'keyword',
      name: 'KeywordMenu',
      redirect: '/library/keyword/list',
      component: () => import('@/views/index'),
      meta: { title: '关键词统计' },
      children: [
        {
          path: 'list',
          name: 'KeywordList',
          component: () => import('@/views/library/keyword/list'),
          meta: { title: '关键词列表' }
        },
        {
          path: 'recommend',
          name: 'KeywordRecommend',
          component: () => import('@/views/library/keyword/recommend'),
          meta: { title: '关键词推荐' }
        }
      ]
    },
    {
      path: 'tag',
      name: 'TagMenu',
      redirect: '/library/tag/list',
      component: () => import('@/views/index'),
      meta: { title: '标签库', useDefault: true },
      children: [
        {
          path: 'list',
          name: 'TagList',
          component: () => import('@/views/library/tag/list'),
          meta: { title: '标签列表' }
        }
      ]
    }
  ]
}
export default keywordLibraryRouter
